### Hierarchy

- Layer
- Layer
  - Mask

## Index

### Constructors

- constructor

### Methods

- addEventListener
- changed
- createExtent
- dispatchEvent
- dispose
- disposeInternal
- get
- getClassName
- getExtent
- getFeatures
- getKeys
- getLayerState
- getLayerStatesArray
- getLayersArray
- getListeners
- getMaxResolution
- getMaxZoom
- getMinResolution
- getMinZoom
- getOpacity
- getProperties
- getRenderer
- getRevision
- getSource
- getSourceState
- getVisible
- getZIndex
- hasListener
- hasRenderer
- notify
- on
- once
- removeEventListener
- render
- set
- setExtent
- setMap
- setMaxResolution
- setMaxZoom
- setMinResolution
- setMinZoom
- setOpacity
- setProperties
- setSource
- setVisible
- setZIndex
- un
- unset

## Constructors

### constructor

- new Mask(options?: {}): Mask

- Overrides Layer.__constructor

  - Defined in src/offline/Mask.js:29

  #### Parameters

  - ##### Default value options: {} = {}

  #### Returns Mask

## Methods

### addEventListener

- addEventListener(type: string, listener: {}): void

- Inherited from Target.addEventListener

  Overrides Target.addEventListener

  - Defined in node_modules/ol/src/events/Target.js:69

  #### Parameters

  - ##### type: string

    Type.

  - ##### listener: {}

    Listener.

  #### Returns void

### changed

- changed(): void

- Inherited from Observable.changed

  Overrides Observable.changed

  - Defined in node_modules/ol/src/Observable.js:36

  Increases the revision counter and dispatches a 'change' event.

  api

  #### Returns void

### createExtent

- createExtent(center: number[], halfLength: number): number[]

- - Defined in src/offline/Mask.js:57

  #### Parameters

  - ##### center: number[]

  - ##### halfLength: number

    a half length of a square's side.

  #### Returns number[]

  an extent.

### dispatchEvent

- dispatchEvent(event: string | BaseEvent | { propagationStopped: boolean; target: Target | EventTarget; type: string }): boolean

- Inherited from Target.dispatchEvent

  Overrides Target.dispatchEvent

  - Defined in node_modules/ol/src/events/Target.js:96

  Dispatches an event and calls all listeners listening for events of this type. The event parameter can either be a string or an Object with a `type` property.

  api

  #### Parameters

  - ##### event: string | BaseEvent | { propagationStopped: boolean; target: Target | EventTarget; type: string }

  #### Returns boolean

  `false` if anyone called preventDefault on the event object or if any of the listeners returned false.

### dispose

- dispose(): void

- Inherited from Disposable.dispose

  Overrides Disposable.dispose

  - Defined in node_modules/ol/src/Disposable.js:23

  Clean up.

  #### Returns void

### disposeInternal

- disposeInternal(): void

- Inherited from Mask.disposeInternal

  Overrides BaseLayer.disposeInternal

  - Defined in node_modules/ol/src/layer/Layer.js:293
  inheritdoc

  #### Returns void

### get

- get(key: string): any

- Inherited from BaseObject.get

  Overrides BaseObject.get

  - Defined in node_modules/ol/src/Object.js:119

  Gets a value.

  api

  #### Parameters

  - ##### key: string

    Key name.

  #### Returns any

  Value.

### getClassName

- getClassName(): string

- Inherited from Mask.getClassName

  Overrides Mask.getClassName

  - Defined in node_modules/ol/src/layer/Base.js:93

  #### Returns string

  CSS class name.

### getExtent

- getExtent(): number[]

- Inherited from Mask.getExtent

  Overrides Mask.getExtent

  - Defined in node_modules/ol/src/layer/Base.js:152

  Return the {@link module:ol/extent~Extent extent} of the layer or `undefined` if it will be visible regardless of extent.

  observable
  api

  #### Returns number[]

  The layer extent.

### getFeatures

- getFeatures(pixel: number[]): Promise<Feature<any>[]>

- Inherited from Mask.getFeatures

  Overrides Mask.getFeatures

  - Defined in node_modules/ol/src/layer/Layer.js:199

  #### Parameters

  - ##### pixel: number[]

    Pixel.

  #### Returns Promise<Feature<any>[]>

  Promise that resolves with an array of features.

### getKeys

- getKeys(): string[]

- Inherited from BaseObject.getKeys

  Overrides BaseObject.getKeys

  - Defined in node_modules/ol/src/Object.js:132

  Get a list of object property names.

  api

  #### Returns string[]

  List of property names.

### getLayerState

- getLayerState(opt_managed: boolean): {}

- Inherited from Mask.getLayerState

  Overrides Mask.getLayerState

  - Defined in node_modules/ol/src/layer/Base.js:104

  This method is not meant to be called by layers or layer renderers because the state is incorrect if the layer is included in a layer group.

  #### Parameters

  - ##### opt_managed: boolean

    Layer is managed.

  #### Returns {}

  Layer state.

### getLayerStatesArray

- getLayerStatesArray(opt_states: any): any

- Inherited from Mask.getLayerStatesArray

  Overrides BaseLayer.getLayerStatesArray

  - Defined in node_modules/ol/src/layer/Layer.js:147
  inheritdoc

  #### Parameters

  - ##### opt_states: any

  #### Returns any

### getLayersArray

- getLayersArray(opt_array: any): any

- Inherited from Mask.getLayersArray

  Overrides BaseLayer.getLayersArray

  - Defined in node_modules/ol/src/layer/Layer.js:138
  inheritdoc

  #### Parameters

  - ##### opt_array: any

  #### Returns any

### getListeners

- getListeners(type: string): {}[]

- Inherited from Target.getListeners

  Overrides Target.getListeners

  - Defined in node_modules/ol/src/events/Target.js:143

  Get the listeners for a specified event type. Listeners are returned in the order that they will be called in.

  #### Parameters

  - ##### type: string

    Type.

  #### Returns {}[]

  Listeners.

### getMaxResolution

- getMaxResolution(): number

- Inherited from Mask.getMaxResolution

  Overrides Mask.getMaxResolution

  - Defined in node_modules/ol/src/layer/Base.js:164

  Return the maximum resolution of the layer.

  observable
  api

  #### Returns number

  The maximum resolution of the layer.

### getMaxZoom

- getMaxZoom(): number

- Inherited from Mask.getMaxZoom

  Overrides Mask.getMaxZoom

  - Defined in node_modules/ol/src/layer/Base.js:194

  Return the maximum zoom level of the layer.

  observable
  api

  #### Returns number

  The maximum zoom level of the layer.

### getMinResolution

- getMinResolution(): number

- Inherited from Mask.getMinResolution

  Overrides Mask.getMinResolution

  - Defined in node_modules/ol/src/layer/Base.js:174

  Return the minimum resolution of the layer.

  observable
  api

  #### Returns number

  The minimum resolution of the layer.

### getMinZoom

- getMinZoom(): number

- Inherited from Mask.getMinZoom

  Overrides Mask.getMinZoom

  - Defined in node_modules/ol/src/layer/Base.js:184

  Return the minimum zoom level of the layer.

  observable
  api

  #### Returns number

  The minimum zoom level of the layer.

### getOpacity

- getOpacity(): number

- Inherited from Mask.getOpacity

  Overrides Mask.getOpacity

  - Defined in node_modules/ol/src/layer/Base.js:204

  Return the opacity of the layer (between 0 and 1).

  observable
  api

  #### Returns number

  The opacity of the layer.

### getProperties

- getProperties(): Object

- Inherited from BaseObject.getProperties

  Overrides BaseObject.getProperties

  - Defined in node_modules/ol/src/Object.js:141

  Get an object of all property names and values.

  api

  #### Returns Object

  Object.

### getRenderer

- getRenderer(): LayerRenderer<any>

- Inherited from Mask.getRenderer

  Overrides Mask.getRenderer

  - Defined in node_modules/ol/src/layer/Layer.js:267

  Get the renderer for this layer.

  #### Returns LayerRenderer<any>

  The layer renderer.

### getRevision

- getRevision(): number

- Inherited from Observable.getRevision

  Overrides Observable.getRevision

  - Defined in node_modules/ol/src/Observable.js:47

  Get the version number for this object. Each time the object is modified, its version number will be incremented.

  api

  #### Returns number

  Revision.

### getSource

- getSource(): SourceType

- Inherited from Mask.getSource

  Overrides Mask.getSource

  - Defined in node_modules/ol/src/layer/Layer.js:159

  Get the layer source.

  observable
  api

  #### Returns SourceType

  The layer source (or `null` if not yet set).

### getSourceState

- getSourceState(): string | { ERROR: string; LOADING: string; READY: string; UNDEFINED: string }

- Inherited from Mask.getSourceState

  Overrides BaseLayer.getSourceState

  - Defined in node_modules/ol/src/layer/Layer.js:166
  inheritdoc

  #### Returns string | { ERROR: string; LOADING: string; READY: string; UNDEFINED: string }

### getVisible

- getVisible(): boolean

- Inherited from Mask.getVisible

  Overrides Mask.getVisible

  - Defined in node_modules/ol/src/layer/Base.js:222

  Return the visibility of the layer (`true` or `false`).

  observable
  api

  #### Returns boolean

  The visibility of the layer.

### getZIndex

- getZIndex(): number

- Inherited from Mask.getZIndex

  Overrides Mask.getZIndex

  - Defined in node_modules/ol/src/layer/Base.js:233

  Return the Z-index of the layer, which is used to order layers before rendering. The default Z-index is 0.

  observable
  api

  #### Returns number

  The Z-index of the layer.

### hasListener

- hasListener(opt_type: string): boolean

- Inherited from Target.hasListener

  Overrides Target.hasListener

  - Defined in node_modules/ol/src/events/Target.js:152

  #### Parameters

  - ##### opt_type: string

    Type. If not provided, `true` will be returned if this event target has any listeners.

  #### Returns boolean

  Has listeners.

### hasRenderer

- hasRenderer(): boolean

- Inherited from Mask.hasRenderer

  Overrides Mask.hasRenderer

  - Defined in node_modules/ol/src/layer/Layer.js:277

  #### Returns boolean

  The layer has a renderer.

### notify

- notify(key: string, oldValue: any): void

- Inherited from BaseObject.notify

  Overrides BaseObject.notify

  - Defined in node_modules/ol/src/Object.js:149

  #### Parameters

  - ##### key: string

    Key name.

  - ##### oldValue: any

    Old value.

  #### Returns void

### on

- on(type: string | string[], listener: {}): {} | {}[]

- Inherited from Observable.on

  Overrides Observable.on

  - Defined in node_modules/ol/src/Observable.js:60

  Listen for a certain type of event.

  api

  #### Parameters

  - ##### type: string | string[]

    The event type or array of event types.

  - ##### listener: {}

    The listener function.

  #### Returns {} | {}[]

  Unique key for the listener. If called with an array of event types as the first argument, the return will be an array of keys.

### once

- once(type: string | string[], listener: {}): {} | {}[]

- Inherited from Observable.once

  Overrides Observable.once

  - Defined in node_modules/ol/src/Observable.js:82

  Listen once for a certain type of event.

  api

  #### Parameters

  - ##### type: string | string[]

    The event type or array of event types.

  - ##### listener: {}

    The listener function.

  #### Returns {} | {}[]

  Unique key for the listener. If called with an array of event types as the first argument, the return will be an array of keys.

### removeEventListener

- removeEventListener(type: string, listener: {}): void

- Inherited from Target.removeEventListener

  Overrides Target.removeEventListener

  - Defined in node_modules/ol/src/events/Target.js:162

  #### Parameters

  - ##### type: string

    Type.

  - ##### listener: {}

    Listener.

  #### Returns void

### render

- render(frameState: {}): HTMLCanvasElement

- Overrides Layer.render

  - Defined in src/offline/Mask.js:68

  #### Parameters

  - ##### frameState: {}

  #### Returns HTMLCanvasElement

### set

- set(key: string, value: any, opt_silent: boolean): void

- Inherited from BaseObject.set

  Overrides BaseObject.set

  - Defined in node_modules/ol/src/Object.js:164

  Sets a value.

  api

  #### Parameters

  - ##### key: string

    Key name.

  - ##### value: any

    Value.

  - ##### opt_silent: boolean

    Update without triggering an event.

  #### Returns void

### setExtent

- setExtent(extent: number[]): void

- Inherited from Mask.setExtent

  Overrides Mask.setExtent

  - Defined in node_modules/ol/src/layer/Base.js:244

  Set the extent at which the layer is visible. If `undefined`, the layer will be visible at all extents.

  observable
  api

  #### Parameters

  - ##### extent: number[]

    The extent of the layer.

  #### Returns void

### setMap

- setMap(map: PluggableMap): void

- Inherited from Mask.setMap

  Overrides Mask.setMap

  - Defined in node_modules/ol/src/layer/Layer.js:231

  Sets the layer to be rendered on top of other layers on a map. The map will not manage this layer in its layers collection, and the callback in {@link module:ol/Map#forEachLayerAtPixel} will receive `null` as layer. This is useful for temporary layers. To remove an unmanaged layer from the map, use `#setMap(null)`.

  To add the layer to a map and have it managed by the map, use {@link module:ol/Map#addLayer} instead.

  api

  #### Parameters

  - ##### map: PluggableMap

    Map.

  #### Returns void

### setMaxResolution

- setMaxResolution(maxResolution: number): void

- Inherited from Mask.setMaxResolution

  Overrides Mask.setMaxResolution

  - Defined in node_modules/ol/src/layer/Base.js:254

  Set the maximum resolution at which the layer is visible.

  observable
  api

  #### Parameters

  - ##### maxResolution: number

    The maximum resolution of the layer.

  #### Returns void

### setMaxZoom

- setMaxZoom(maxZoom: number): void

- Inherited from Mask.setMaxZoom

  Overrides Mask.setMaxZoom

  - Defined in node_modules/ol/src/layer/Base.js:276

  Set the maximum zoom (exclusive) at which the layer is visible. Note that the zoom levels for layer visibility are based on the view zoom level, which may be different from a tile source zoom level.

  observable
  api

  #### Parameters

  - ##### maxZoom: number

    The maximum zoom of the layer.

  #### Returns void

### setMinResolution

- setMinResolution(minResolution: number): void

- Inherited from Mask.setMinResolution

  Overrides Mask.setMinResolution

  - Defined in node_modules/ol/src/layer/Base.js:264

  Set the minimum resolution at which the layer is visible.

  observable
  api

  #### Parameters

  - ##### minResolution: number

    The minimum resolution of the layer.

  #### Returns void

### setMinZoom

- setMinZoom(minZoom: number): void

- Inherited from Mask.setMinZoom

  Overrides Mask.setMinZoom

  - Defined in node_modules/ol/src/layer/Base.js:288

  Set the minimum zoom (inclusive) at which the layer is visible. Note that the zoom levels for layer visibility are based on the view zoom level, which may be different from a tile source zoom level.

  observable
  api

  #### Parameters

  - ##### minZoom: number

    The minimum zoom of the layer.

  #### Returns void

### setOpacity

- setOpacity(opacity: number): void

- Inherited from Mask.setOpacity

  Overrides Mask.setOpacity

  - Defined in node_modules/ol/src/layer/Base.js:298

  Set the opacity of the layer, allowed values range from 0 to 1.

  observable
  api

  #### Parameters

  - ##### opacity: number

    The opacity of the layer.

  #### Returns void

### setProperties

- setProperties(values: Object, opt_silent: boolean): void

- Inherited from BaseObject.setProperties

  Overrides BaseObject.setProperties

  - Defined in node_modules/ol/src/Object.js:183

  Sets a collection of key-value pairs. Note that this changes any existing properties and adds new ones (it does not remove any existing properties).

  api

  #### Parameters

  - ##### values: Object

    Values.

  - ##### opt_silent: boolean

    Update without triggering an event.

  #### Returns void

### setSource

- setSource(source: SourceType): void

- Inherited from Mask.setSource

  Overrides Mask.setSource

  - Defined in node_modules/ol/src/layer/Layer.js:259

  Set the layer source.

  observable
  api

  #### Parameters

  - ##### source: SourceType

    The layer source.

  #### Returns void

### setVisible

- setVisible(visible: boolean): void

- Inherited from Mask.setVisible

  Overrides Mask.setVisible

  - Defined in node_modules/ol/src/layer/Base.js:309

  Set the visibility of the layer (`true` or `false`).

  observable
  api

  #### Parameters

  - ##### visible: boolean

    The visibility of the layer.

  #### Returns void

### setZIndex

- setZIndex(zindex: number): void

- Inherited from Mask.setZIndex

  Overrides Mask.setZIndex

  - Defined in node_modules/ol/src/layer/Base.js:320

  Set Z-index of the layer, which is used to order layers before rendering. The default Z-index is 0.

  observable
  api

  #### Parameters

  - ##### zindex: number

    The z-index of the layer.

  #### Returns void

### un

- un(type: string | string[], listener: {}): void

- Inherited from Observable.un

  Overrides Observable.un

  - Defined in node_modules/ol/src/Observable.js:101

  Unlisten for a certain type of event.

  api

  #### Parameters

  - ##### type: string | string[]

    The event type or array of event types.

  - ##### listener: {}

    The listener function.

  #### Returns void

### unset

- unset(key: string, opt_silent: boolean): void

- Inherited from BaseObject.unset

  Overrides BaseObject.unset

  - Defined in node_modules/ol/src/Object.js:195

  Unsets a property.

  api

  #### Parameters

  - ##### key: string

    Key name.

  - ##### opt_silent: boolean

    Unset without triggering an event.

  #### Returns void

Generated using TypeDoc